clash-lib-1.8.1: Clash: a functional hardware description language - As a library

Safe Haskell | Safe-Inferred
Language | Haskell2010

Clash.Debug

Synopsis

- debugIsOn :: Bool
- traceIf :: Bool -> String -> a -> a
- module Debug.Trace

# Documentation

debugIsOn :: Bool Source #

traceIf :: Bool -> String -> a -> a Source #

Performs trace when first argument evaluates to `True`

module Debug.Trace